## akonadiconsole 25.08.2+p24.04+vstable+git20251013.0336

=== debian/changelog ===
akonadiconsole (4:25.08.2+p24.04+vstable+git20251013.0336-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 03:36:55 +0000

akonadiconsole (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:54:40 +0000

=== debian/control ===
Source: akonadiconsole
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcontacts-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-kitemviews-dev,
               kf6-ktextaddons-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-akonadi-search-dev,
               kpim6-calendarsupport-dev,
               kpim6-grantleetheme-dev,
               kpim6-kimap-dev,
               kpim6-kmime-dev,
               kpim6-kpimtextedit-dev,
               kpim6-libkdepim-dev,
               kpim6-libkleo-dev,
               kpim6-messagelib-dev,
               libcups2-dev,
               libqgpgmeqt6-dev,
               libxapian-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-webengine-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/akonadiconsole.git
Vcs-Browser: https://invent.kde.org/neon/kde/akonadiconsole
Maintainer: Neon CI <neon@kde.org>

Package: akonadiconsole
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: management and debugging console for akonadi
 Akonadi Console is a useful utility that can be used to explore or manage
 Akonadi. Since this utility exposes Akonadi internals, it is very useful for
 debugging but may also prove handy in other cases.

## akonadiconsole 25.08.2+p24.04+vstable+git20251015.2032

=== debian/changelog ===
akonadiconsole (4:25.08.2+p24.04+vstable+git20251015.2032-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:32:20 +0000

## akonadiconsole 25.08.3

=== debian/changelog ===
akonadiconsole (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:25:54 +0100

=== debian/control ===
Source: akonadiconsole
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               libakonadi-dev (>= 4:25.08.3~),
               libakonadicontact-dev (>= 4:25.08.3~),
               libakonadimime-dev (>= 4:25.08.3~),
               libakonadisearch-dev (>= 4:25.08.3~),
               libcalendarsupport-dev (>= 4:25.08.3~),
               libkdepim-dev (>= 4:25.08.3~),
               libkf6calendarcore-dev (>= 6.14.0~),
               libkf6completion-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6contacts-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6itemmodels-dev (>= 6.14.0~),
               libkf6itemviews-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6textwidgets-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libkmime-dev (>= 25.08.3~),
               libxapian-dev,
               messagelib-dev (>= 4:25.08.3~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/akonadiconsole
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadiconsole
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadiconsole.git
Rules-Requires-Root: no

Package: akonadiconsole
Section: utils
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: management and debugging console for akonadi
 Akonadi Console is a useful utility that can be used to explore or manage
 Akonadi. Since this utility exposes Akonadi internals, it is very useful for
 debugging but may also prove handy in other cases.

## akonadiconsole 25.11.80

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.80")
project(akonadiconsole VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.18.0")
set(QT_REQUIRED_VERSION "6.8.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    autotests/*.cpp
    autotests/*.h
    src/*.cpp
    src/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

# Do NOT add quote
set(KDEPIM_DEV_VERSION beta)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()
set(RELEASE_SERVICE_VERSION "25.11.80")

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

set(AKONADI_CONTACT_VERSION "6.5.80")
set(CALENDARSUPPORT_LIB_VERSION "6.5.80")
set(AKONADIMIME_LIB_VERSION "6.5.80")
set(AKONADI_VERSION "6.5.80")
set(AKONADI_SEARCH_VERSION "6.5.80")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        DBus
        Sql
        Test
)
set(MESSAGELIB_LIB_VERSION "6.5.80")
set(LIBKDEPIM_LIB_VERSION "6.5.80")
set(KMIME_LIB_VERSION "6.5.80")

# Find KF6 package
find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION} REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Completion ${KF_MIN_VERSION} REQUIRED)
find_package(KF6ItemViews ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} REQUIRED)

# Find KdepimLibs Package
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED) # Because of KPIM::KCheckComboBox

if(NOT WIN32)
    find_package(KPim6AkonadiContactWidgets ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
    find_package(KPim6CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
    find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
    find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
    set_package_properties(
        KPim6AkonadiSearch
        PROPERTIES
            DESCRIPTION
                "The Akonadi Search libraries"
            URL
                "https://invent.kde.org/pim/akonadi-search"
            TYPE
                REQUIRED
            PURPOSE
                "Provides search capabilities in KMail and Akonadi"
    )
    find_package(Xapian CONFIG)
    set_package_properties(
        Xapian
        PROPERTIES
            DESCRIPTION
                "The Xapian search engine library"
            URL
                "https://xapian.org"
            TYPE
                REQUIRED
    )

    set(ENABLE_SEARCH TRUE)
    set(ENABLE_CONTENTVIEWS TRUE)
endif()

# From akonadi's CMakeLists.txt. Needed to fix:
# FAILED: src/CMakeFiles/libakonadiconsole.dir/browserwidget.cpp.obj
# ...
# Z:\CraftRoot\include\KF6\AkonadiCore/item.h(596): error C2039:
# "auto_ptr" ist kein Member von "std".
if(MSVC)
    # This sets the __cplusplus macro to a real value based on the version of C++ specified by
    # the /std switch. Without it MSVC keeps reporting C++98, so feature detection doesn't work.
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Zc:__cplusplus")
endif()

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)

include_directories(
    ${akonadiconsole_SOURCE_DIR}
    ${akonadiconsole_BINARY_DIR}
    ${XAPIAN_INCLUDE_DIR}
)
configure_file(akonadiconsole-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/akonadiconsole-version.h @ONLY)
configure_file(config-akonadiconsole.h.in ${CMAKE_BINARY_DIR}/config-akonadiconsole.h)
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()
add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
akonadiconsole (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:51:51 +0000

akonadiconsole (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:19:39 +0000

=== debian/control ===
Source: akonadiconsole
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:25.11.80~),
               libakonadicontact-dev (>= 4:25.11.80~),
               libakonadimime-dev (>= 4:25.11.80~),
               libakonadisearch-dev (>= 4:25.11.80~),
               libcalendarsupport-dev (>= 4:25.11.80~),
               libkdepim-dev (>= 4:25.11.80~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6completion-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6itemviews-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkmime-dev (>= 25.11.80~),
               libxapian-dev,
               messagelib-dev (>= 4:25.11.80~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadiconsole
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadiconsole
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadiconsole
Rules-Requires-Root: no

Package: akonadiconsole
Section: utils
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: apparmor
Description: management and debugging console for akonadi
 Akonadi Console is a useful utility that can be used to explore or manage
 Akonadi. Since this utility exposes Akonadi internals, it is very useful for
 debugging but may also prove handy in other cases.

## akonadiconsole 25.11.90

=== debian/changelog ===
akonadiconsole (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:56:18 +0000

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                dh-apparmor,
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.11.80~),
-               libakonadicontact-dev (>= 4:25.11.80~),
-               libakonadimime-dev (>= 4:25.11.80~),
-               libakonadisearch-dev (>= 4:25.11.80~),
-               libcalendarsupport-dev (>= 4:25.11.80~),
-               libkdepim-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
+               libakonadicontact-dev (>= 4:25.11.90~),
+               libakonadimime-dev (>= 4:25.11.90~),
+               libakonadisearch-dev (>= 4:25.11.90~),
+               libcalendarsupport-dev (>= 4:25.11.90~),
+               libkdepim-dev (>= 4:25.11.90~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -32,9 +32,9 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.11.80~),
+               libkmime-dev (>= 25.11.90~),
                libxapian-dev,
-               messagelib-dev (>= 4:25.11.80~),
+               messagelib-dev (>= 4:25.11.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                xauth,

## akonadiconsole 25.12.0

=== debian/changelog ===
akonadiconsole (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:10:58 +0000

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
                dh-apparmor,
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.11.90~),
-               libakonadicontact-dev (>= 4:25.11.90~),
-               libakonadimime-dev (>= 4:25.11.90~),
-               libakonadisearch-dev (>= 4:25.11.90~),
-               libcalendarsupport-dev (>= 4:25.11.90~),
-               libkdepim-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
+               libakonadicontact-dev (>= 4:25.12.0~),
+               libakonadimime-dev (>= 4:25.12.0~),
+               libakonadisearch-dev (>= 4:25.12.0~),
+               libcalendarsupport-dev (>= 4:25.12.0~),
+               libkdepim-dev (>= 4:25.12.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -32,9 +32,9 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.11.90~),
+               libkmime-dev (>= 25.12.0~),
                libxapian-dev,
-               messagelib-dev (>= 4:25.11.90~),
+               messagelib-dev (>= 4:25.12.0~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                xauth,

## akonadiconsole 25.12.0+p24.04+vunstable+git20251209.0608

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.6.40")
 project(akonadiconsole VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.20.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -46,29 +46,28 @@
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
 
-set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION beta)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
-set(RELEASE_SERVICE_VERSION "25.11.80")
+set(RELEASE_SERVICE_VERSION "26.03.40")
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(AKONADI_CONTACT_VERSION "6.5.80")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.80")
-set(AKONADIMIME_LIB_VERSION "6.5.80")
-set(AKONADI_VERSION "6.5.80")
-set(AKONADI_SEARCH_VERSION "6.5.80")
+set(AKONADI_CONTACT_VERSION "6.6.40")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
+set(AKONADIMIME_LIB_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.40")
+set(AKONADI_SEARCH_VERSION "6.6.40")
 
 find_package(
     Qt6
@@ -80,9 +79,9 @@
         Sql
         Test
 )
-set(MESSAGELIB_LIB_VERSION "6.5.80")
-set(LIBKDEPIM_LIB_VERSION "6.5.80")
-set(KMIME_LIB_VERSION "6.5.80")
+set(MESSAGELIB_LIB_VERSION "6.6.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.40")
 
 # Find KF6 package
 find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -152,7 +151,7 @@
 endif()
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
 
 include_directories(
     ${akonadiconsole_SOURCE_DIR}

## akonadiconsole 25.12.1

=== debian/changelog ===
akonadiconsole (4:25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:36:44 +0100

akonadiconsole (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:50:54 +0100

akonadiconsole (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:57:31 +0100

=== debian/control ===
Source: akonadiconsole
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libakonadi-dev (>= 4:25.12.1~),
               libakonadicontact-dev (>= 4:25.12.1~),
               libakonadimime-dev (>= 4:25.12.1~),
               libakonadisearch-dev (>= 4:25.12.1~),
               libcalendarsupport-dev (>= 4:25.12.1~),
               libkdepim-dev (>= 4:25.12.1~),
               libkf6calendarcore-dev (>= 6.18.0~),
               libkf6completion-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6contacts-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6itemviews-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6textwidgets-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkmime-dev (>= 25.12.1~),
               libxapian-dev,
               messagelib-dev (>= 4:25.12.1~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/akonadiconsole
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadiconsole
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadiconsole.git
Rules-Requires-Root: no

Package: akonadiconsole
Section: utils
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: management and debugging console for akonadi
 Akonadi Console is a useful utility that can be used to explore or manage
 Akonadi. Since this utility exposes Akonadi internals, it is very useful for
 debugging but may also prove handy in other cases.

## akonadiconsole 25.12.1+p24.04+vstable+git20260130.1255

=== debian/changelog ===
akonadiconsole (4:25.12.1+p24.04+vstable+git20260130.1255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:55:19 +0000

akonadiconsole (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:30:46 +1000

akonadiconsole (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:40:16 +1000

akonadiconsole (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:43:49 +1000

## akonadiconsole 25.12.1+p24.04+vstable+git20260205.0728

=== debian/changelog ===
akonadiconsole (4:25.12.1+p24.04+vstable+git20260205.0728-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:28:43 +0000

## akonadiconsole 25.12.1+p24.04+vunstable+git20260205.0835

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.27)
 set(PIM_VERSION "6.6.40")
 project(akonadiconsole VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.20.0")
+set(KF_MIN_VERSION "6.21.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -32,9 +32,33 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
+        execute_process(
+            COMMAND
+                "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 include(CheckFunctionExists)
 
@@ -151,7 +175,12 @@
 endif()
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0 KMIME 6.7.0)
 
 include_directories(
     ${akonadiconsole_SOURCE_DIR}

=== debian/changelog ===
akonadiconsole (4:25.12.1+p24.04+vunstable+git20260205.0835-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:35:17 +0000

## akonadiconsole 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.27)
-set(PIM_VERSION "6.6.40")
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+set(PIM_VERSION "6.6.2")
 project(akonadiconsole VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.21.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -32,33 +32,9 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
-    if(PRE_COMMIT_EXECUTABLE)
-        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
-        execute_process(
-            COMMAND
-                "${PRE_COMMIT_EXECUTABLE}" install -f
-            ERROR_QUIET
-            RESULT_VARIABLE _precommitresult
-            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
-        )
-        if(_precommitresult EQUAL 0)
-            message(STATUS "Pre-commit installed.")
-        else()
-            message(
-                WARNING
-                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
-            )
-            include(KDEGitCommitHooks)
-            include(KDEClangFormat)
-            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-        endif()
-    else()
-        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
-        include(KDEGitCommitHooks)
-        include(KDEClangFormat)
-        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-    endif()
+    include(KDEGitCommitHooks)
+    include(KDEClangFormat)
+    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 endif()
 include(CheckFunctionExists)
 
@@ -70,28 +46,29 @@
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
 
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION alpha)
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
-set(RELEASE_SERVICE_VERSION "26.03.40")
+set(RELEASE_SERVICE_VERSION "25.12.2")
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(AKONADI_CONTACT_VERSION "6.6.40")
-set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
-set(AKONADIMIME_LIB_VERSION "6.6.40")
-set(AKONADI_VERSION "6.6.40")
-set(AKONADI_SEARCH_VERSION "6.6.40")
+set(AKONADI_CONTACT_VERSION "6.6.2")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.2")
+set(AKONADIMIME_LIB_VERSION "6.6.2")
+set(AKONADI_VERSION "6.6.2")
+set(AKONADI_SEARCH_VERSION "6.6.2")
 
 find_package(
     Qt6
@@ -103,9 +80,9 @@
         Sql
         Test
 )
-set(MESSAGELIB_LIB_VERSION "6.6.40")
-set(LIBKDEPIM_LIB_VERSION "6.6.40")
-set(KMIME_LIB_VERSION "6.6.40")
+set(MESSAGELIB_LIB_VERSION "6.6.2")
+set(LIBKDEPIM_LIB_VERSION "6.6.2")
+set(KMIME_LIB_VERSION "6.6.2")
 
 # Find KF6 package
 find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -175,12 +152,7 @@
 endif()
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
-    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
-    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
-endif()
-ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0 KMIME 6.7.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 include_directories(
     ${akonadiconsole_SOURCE_DIR}

=== debian/changelog ===
akonadiconsole (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:38:13 +0000

akonadiconsole (4:25.12.1-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:22:41 +0000

akonadiconsole (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 11:36:57 +0000

akonadiconsole (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:54:43 +0000

=== debian/control ===
Source: akonadiconsole
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:25.12.2~),
               libakonadicontact-dev (>= 4:25.12.2~),
               libakonadimime-dev (>= 4:25.12.2~),
               libakonadisearch-dev (>= 4:25.12.2~),
               libcalendarsupport-dev (>= 4:25.12.2~),
               libkdepim-dev (>= 4:25.12.2~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6completion-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6itemviews-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkmime-dev (>= 25.12.2~),
               libxapian-dev,
               messagelib-dev (>= 4:25.12.2~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akonadiconsole
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadiconsole
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadiconsole
Rules-Requires-Root: no

Package: akonadiconsole
Section: utils
Architecture: amd64 amd64v3 arm64 armhf i386
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: apparmor
Description: management and debugging console for akonadi
 Akonadi Console is a useful utility that can be used to explore or manage
 Akonadi. Since this utility exposes Akonadi internals, it is very useful for
 debugging but may also prove handy in other cases.

## akonadiconsole 25.12.2+p24.04+vstable+git20260216.0453

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.2")
+set(PIM_VERSION "6.6.3")
 project(akonadiconsole VERSION ${PIM_VERSION})
 
 set(KF_MIN_VERSION "6.18.0")
@@ -57,18 +57,18 @@
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
-set(RELEASE_SERVICE_VERSION "25.12.2")
+set(RELEASE_SERVICE_VERSION "25.12.3")
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(AKONADI_CONTACT_VERSION "6.6.2")
-set(CALENDARSUPPORT_LIB_VERSION "6.6.2")
-set(AKONADIMIME_LIB_VERSION "6.6.2")
-set(AKONADI_VERSION "6.6.2")
-set(AKONADI_SEARCH_VERSION "6.6.2")
+set(AKONADI_CONTACT_VERSION "6.6.3")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.3")
+set(AKONADIMIME_LIB_VERSION "6.6.3")
+set(AKONADI_VERSION "6.6.3")
+set(AKONADI_SEARCH_VERSION "6.6.3")
 
 find_package(
     Qt6
@@ -80,9 +80,9 @@
         Sql
         Test
 )
-set(MESSAGELIB_LIB_VERSION "6.6.2")
-set(LIBKDEPIM_LIB_VERSION "6.6.2")
-set(KMIME_LIB_VERSION "6.6.2")
+set(MESSAGELIB_LIB_VERSION "6.6.3")
+set(LIBKDEPIM_LIB_VERSION "6.6.3")
+set(KMIME_LIB_VERSION "6.6.3")
 
 # Find KF6 package
 find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
akonadiconsole (4:25.12.2+p24.04+vstable+git20260216.0453-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Feb 2026 04:53:29 +0000

akonadiconsole (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:48:05 +0000

## akonadiconsole 25.12.2+p24.04+vstable+git20260219.0632

=== debian/changelog ===
akonadiconsole (4:25.12.2+p24.04+vstable+git20260219.0632-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 06:32:13 +0000

## akonadiconsole 25.12.2+p24.04+vunstable+git20260207.0432

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.3")
+cmake_minimum_required(VERSION 3.27)
+set(PIM_VERSION "6.6.40")
 project(akonadiconsole VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.21.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -32,9 +32,33 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
+        execute_process(
+            COMMAND
+                "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 include(CheckFunctionExists)
 
@@ -46,29 +70,28 @@
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
 
-set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
-set(RELEASE_SERVICE_VERSION "25.12.3")
+set(RELEASE_SERVICE_VERSION "26.03.40")
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(AKONADI_CONTACT_VERSION "6.6.3")
-set(CALENDARSUPPORT_LIB_VERSION "6.6.3")
-set(AKONADIMIME_LIB_VERSION "6.6.3")
-set(AKONADI_VERSION "6.6.3")
-set(AKONADI_SEARCH_VERSION "6.6.3")
+set(AKONADI_CONTACT_VERSION "6.6.40")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
+set(AKONADIMIME_LIB_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.40")
+set(AKONADI_SEARCH_VERSION "6.6.40")
 
 find_package(
     Qt6
@@ -80,9 +103,9 @@
         Sql
         Test
 )
-set(MESSAGELIB_LIB_VERSION "6.6.3")
-set(LIBKDEPIM_LIB_VERSION "6.6.3")
-set(KMIME_LIB_VERSION "6.6.3")
+set(MESSAGELIB_LIB_VERSION "6.6.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.40")
 
 # Find KF6 package
 find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -152,7 +175,12 @@
 endif()
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.23.0 KMIME 6.7.0)
 
 include_directories(
     ${akonadiconsole_SOURCE_DIR}

=== debian/changelog ===
akonadiconsole (4:25.12.2+p24.04+vunstable+git20260207.0432-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 04:32:53 +0000
